View Issue Details

IDProjectCategoryView StatusLast Update
0022814LazarusIDEpublic2014-10-22 09:00
ReporterStephano Assigned ToMattias Gaertner  
PrioritynormalSeverityminorReproducibilityalways
Status closedResolutionfixed 
Product Version1.1 (SVN) 
Summary0022814: fpc executable's path should be relative if fpc is present in the env path
DescriptionIn a fresh configuration, the "Configure Lazarus IDE" window pops up and proposes the full path of the fpc executable (/home/me/Programs/fpc/2.6.1/bin/fpc) while the fpc executable is in the env path (in my case).

This creates a problem when the env path is changed in order to select a certain FPC version. On the other hand, specifying "fpc" instead of the full path solves the problem.

If the current behaviour is changed, the accompanying descriptive text should be changed too: "Please give the full file path" should be deleted.

By the same token, the make tab proposes "make" only, while the debugger tab specifies /usr/bin/gdb. Both tabs mention: "Please give the full file path"

Lazarus 1.1 r38531 FPC 2.6.1 i386-linux-gtk 2
TagsNo tags attached.
Fixed in Revision
LazTarget-
Widgetset
Attached Files

Activities

Mattias Gaertner

2012-09-06 11:37

manager   ~0062124

Changing the PATH requires a restart of the IDE.

The PATH depends on whether you start the IDE via terminal or via desktop icon.

Debian and Redhat installations recommend for multiple fpc to use full paths with macros. So you can switch between multiple fpc without an IDE restart and without editing paths.

Minor reason: It is easier for the user to cut out the directory than to add the directory.

"make" is a special animal. Under MS Windows it is highly recommended to not use PATH to search for make. While under Linux the "make" in PATH is almost always a sufficient choice for fpc programs.

I wonder why the IDE takes by default /usr/bin/gdb under Linux. It should be just "gdb".

Mattias Gaertner

2012-09-06 11:40

manager   ~0062125

The IDE now uses as default "gdb" instead of the /usr/bin/gdb.

Stephano

2012-09-06 12:04

developer   ~0062129

I updated, deleted the config folder and tested.. /usr/bin/gdb :(

Lazarus 1.1 r38534 FPC 2.6.1 i386-linux-gtk 2

As for the other points, I have opened a thread in the mailing list for discussion.

Mattias Gaertner

2012-09-06 12:28

manager   ~0062132

Check /etc/lazarus*/environmentoptions.xml
Maybe that one contains /usr/bin/gdb

Stephano

2012-09-06 15:56

developer   ~0062141

/etc/lazarus/environmentoptions.xml (a relic from some old .deb installation) exists indeed and contains /usr/bin/gdb. However, I use the pcp parameter to specify the config folder. Why would the IDE check /etc/lazarus in that case?

Juha Manninen

2014-10-19 06:08

developer   ~0078361

I don't think this is valid any more. Stephano, please verify.

Mattias Gaertner

2014-10-19 08:49

manager   ~0078363

The /etc/lazarus folder defines system wide defaults.
If your pcp does not contain environmentoptions.xml the IDE copies it from /etc/lazarus.

Stephano

2014-10-19 10:07

developer   ~0078368

I deleted /etc/lazarus/environmentoptions.xml and the pcp folder and started the IDE.

1- fpc executable: The text still mentions "Please give the full file path". This is misleading and could be changed to "Please give the full file path or just the executable name"

2- make: same as (1) above. The IDE proposes make (default) and /usr/bin/make.

3- gdb: same as (1) above. The IDE proposes /usr/bin/gdb (default) and gdb.

4- lazarus: The IDE proposes . and /home/me/Programs/lazarus/lazarus-svn/ (default). Which (current) folder does the . refer to?

Mattias Gaertner

2014-10-19 17:23

manager   ~0078383

About 4:
When you select the '.' the memo below shows the full path.

Mattias Gaertner

2014-10-19 17:31

manager   ~0078384

About the texts:
The purpose of this dialog is to help newbies to get a working IDE.
I think we would shoot ourselves in the foot if we explain all the possibilities there (e.g. short paths, macros, ~).
The specials can be explained in the wiki.

Mattias Gaertner

2014-10-19 17:49

manager   ~0078387

Last edited: 2014-10-19 17:51

View 2 revisions

The 'gdb' is now shown first. It was hardcoded in lazdebugger.

Mattias Gaertner

2014-10-19 17:55

manager   ~0078389

The IDE now uses 'fpc' as default instead of '/usr/bin/fpc'.

Stephano

2014-10-22 09:00

developer   ~0078507

Thanks!

Issue History

Date Modified Username Field Change
2012-09-06 11:12 Stephano New Issue
2012-09-06 11:37 Mattias Gaertner Note Added: 0062124
2012-09-06 11:40 Mattias Gaertner Note Added: 0062125
2012-09-06 12:04 Stephano Note Added: 0062129
2012-09-06 12:28 Mattias Gaertner Note Added: 0062132
2012-09-06 15:56 Stephano Note Added: 0062141
2014-10-19 06:08 Juha Manninen LazTarget => -
2014-10-19 06:08 Juha Manninen Note Added: 0078361
2014-10-19 06:08 Juha Manninen Assigned To => Juha Manninen
2014-10-19 06:08 Juha Manninen Status new => feedback
2014-10-19 08:49 Mattias Gaertner Note Added: 0078363
2014-10-19 10:07 Stephano Note Added: 0078368
2014-10-19 10:07 Stephano Status feedback => assigned
2014-10-19 17:23 Mattias Gaertner Note Added: 0078383
2014-10-19 17:31 Mattias Gaertner Note Added: 0078384
2014-10-19 17:49 Mattias Gaertner Note Added: 0078387
2014-10-19 17:51 Mattias Gaertner Note Edited: 0078387 View Revisions
2014-10-19 17:55 Mattias Gaertner Note Added: 0078389
2014-10-19 17:55 Mattias Gaertner Status assigned => resolved
2014-10-19 17:55 Mattias Gaertner Resolution open => fixed
2014-10-19 17:55 Mattias Gaertner Assigned To Juha Manninen => Mattias Gaertner
2014-10-22 09:00 Stephano Note Added: 0078507
2014-10-22 09:00 Stephano Status resolved => closed